## snd 20.0

=== debian/changelog ===
snd (20.0-1) unstable; urgency=medium

  * New upstream version 20.0
    * Update upstream changelog
    * Refresh d/patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 09:50:01 +0100

## snd 20.1

=== debian/changelog ===
snd (20.1-1) unstable; urgency=medium

  * New upstream version 20.1
    * Update upstream changelog
    * Refresh patches
  * Add salsa-ci configuration
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 12 Feb 2020 11:56:44 +0100

=== debian/control ===
Source: snd
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 cdbs, debhelper (>= 10),
 ladspa-sdk,
 xutils-dev,
 libgsl-dev,
 libfftw3-dev,
 libgtk-3-dev,
 libsamplerate0-dev,
 libxmu-dev,
 libpulse-dev,
 libjack-dev [i386 amd64 x32 powerpc kfreebsd-i386 kfreebsd-amd64 hurd-i386],
 libasound2-dev [linux-any],
 libmpc-dev,
 bzip2,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
Homepage: https://ccrma.stanford.edu/software/snd/

Package: snd
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: guile, ladspa-plugin,
 snd-gtk-jack | snd-gtk | snd-nox,
Suggests: snd-doc
Breaks: snd-gtk-jack (<< 16.1-2), snd-gtk-pulse (<< 16.1-2), snd-nox (<< 16.1-2)
Replaces: snd-gtk-jack (<< 16.1-2), snd-gtk-pulse (<< 16.1-2), snd-nox (<< 16.1-2)
Description: Sound file editor
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the basic infrastructure for the snd packages and
 the scheme files. You have to install a GUI package as well to actually
 use snd.

Package: snd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Sound file editor (documentation)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the documentation for snd.

Package: snd-gtk-jack
Architecture: any-i386 any-amd64 any-powerpc
Depends:
 snd (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Provides: snd-gtk-alsa [linux-any], snd-gtk
Replaces: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
Breaks: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
Description: Sound file editor (GTK+ user interface - JACK)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the files for the GTK+ user interface with JACK and ALSA
 support.

Package: snd-gtk-pulse
Architecture: any
Depends:
 snd (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Provides: snd-gtk
Replaces: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
Breaks: snd-gtk (<< 16.1-2), snd-nox (<< 16.1-2)
Description: Sound file editor (GTK+ user interface - PulseAudio)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains the files for the GTK+ user interface with
 PulseAudio support.

Package: snd-nox
Architecture: any
Depends:
 snd (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Provides: snd-nox-alsa [linux-any]
Replaces: snd-gtk (<< 16.1-2)
Breaks: snd-gtk (<< 16.1-2)
Description: Sound file editor (cmdline)
 Snd is a powerful sound file editor that can be customized and extended using
 the Scheme programming language.
 .
 This package contains a version of snd compiled with both JACK and ALSA
 support, but without support for X.

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=dversionmangle=s/~(dfsg|repack)(\.?[0-9]*)?$// \
  https://ccrma.stanford.edu/software/snd/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## snd 20.3

=== debian/changelog ===
snd (20.3-1) unstable; urgency=medium

  * New upstream version 20.3

  [ Dennis Braun ]
  * Update upstream-changelog
  * Update spelling fixes
  * Add hardening
  * Add me as uploader

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 23 Apr 2020 16:09:35 +0200

snd (20.2-1) unstable; urgency=medium

  * New upstream version 20.2
    * Update upstream changelog
    * Update spelling fixes

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 25 Mar 2020 15:52:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  cdbs, debhelper (>= 10),
  ladspa-sdk,

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2014-2016 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for snd
#
# The authors hereby grant permission to use, copy, modify, distribute,
# and license this software and its documentation for any purpose.  No
# written agreement, license, or royalty fee is required.  Modifications
# to this software may be copyrighted by their authors and need not
# follow the licensing terms described here.
#
# IN NO EVENT SHALL THE AUTHORS OR DISTRIBUTORS BE LIABLE TO ANY PARTY
# FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
# ARISING OUT OF THE USE OF THIS SOFTWARE, ITS DOCUMENTATION, OR ANY
# DERIVATIVES THEREOF, EVEN IF THE AUTHORS HAVE BEEN ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
# THE AUTHORS AND DISTRIBUTORS SPECIFICALLY DISCLAIM ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT.  THIS SOFTWARE
# IS PROVIDED ON AN "AS IS" BASIS, AND THE AUTHORS AND DISTRIBUTORS HAVE
# NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR
# MODIFICATIONS.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# needs to be declared before including makefile.mk
DEB_MAKE_FLAVORS = nox gtk-jack gtk-pulse

DEB_BUILDDIR = build

export AUTOHEADER=true

include /usr/share/dpkg/buildtools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/utils.mk
PKG_CONFIG ?= pkg-config

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^(pix/.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_CONFIGURE_EXTRA_FLAGS = \
	--with-ladspa \
	--with-gmp \
	--prefix=/usr

## per flavor configure options
# the code includes inline-asm for atomic ops, but only for i386/amd64/powerpc
# see https://bugs.debian.org/#555538
ifneq (,$(findstring :$(DEB_HOST_ARCH_CPU):,:i386:powerpc:amd64:))
configureflags_audio_jack  = --with-jack
else
configureflags_audio_jack  =
endif
# use ALSA on linux, and OSS non non-linux
ifneq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
configureflags_audio_default  = --with-alsa
else
configureflags_audio_default  = --with-oss
endif

# nox (alsa/oss + jack)
DEB_CONFIGURE_EXTRA_FLAGS_nox       = --without-gui \
	$(configureflags_audio_default) $(configureflags_audio_jack)

# gtk-jack (jack + alsa[sic!]/oss)
DEB_CONFIGURE_EXTRA_FLAGS_gtk-jack  = --with-gtk \
	$(configureflags_audio_default) $(configureflags_audio_jack)

## gtk-pulse (pulseaudio)
DEB_CONFIGURE_EXTRA_FLAGS_gtk-pulse = --with-gtk --with-pulseaudio

## append any extra args for configure
DEB_CONFIGURE_EXTRA_FLAGS += $(DEB_CONFIGURE_EXTRA_FLAGS_$(cdbs_make_curflavor))

## do not embed __DATE__ (see debian/patches/reproducible.diff)
CPPFLAGS+=-DREPRODUCIBLE_BUILD=1

# upstream naively (and wrongly) assumes
# that they only need to link against "-lpulse-simple"
DEB_MAKE_EXTRA_ARGS_gtk-pulse=AUDIO_LIB="$(shell $(PKG_CONFIG) --libs libpulse-simple)"

## append any extra args for make
DEB_MAKE_EXTRA_ARGS += $(DEB_MAKE_EXTRA_ARGS_$(cdbs_make_curflavor))

## right; everybody their own changelog filename!
DEB_INSTALL_CHANGELOGS_ALL=debian/upstream-changelog


SND_MANPAGES=snd.nox.1 snd.gtk-jack.1 snd.gtk-pulse.1
$(SND_MANPAGES): snd.1
	cp $^ $@

build/snd-nox:: snd.nox.1
build/snd-gtk-jack:: snd.gtk-jack.1
build/snd-gtk-pulse:: snd.gtk-pulse.1

binary-post-install/snd-nox binary-post-install/snd-gtk-jack binary-post-install/snd-gtk-pulse::
	mv $(CURDIR)/debian/$(cdbs_curpkg)/usr/bin/snd \
	   $(CURDIR)/debian/$(cdbs_curpkg)/usr/bin/snd.$(patsubst snd-%,%,$(cdbs_curpkg))

clean::
	rm -f $(SND_MANPAGES)


## missing sources for s7webserver/jqconsole.min.js
##  it seems like the minification was done with a different version of
##  'uglifyjs', as it doesn't produce the same output (whereas the current
##  version of jqconsole builds reproducible)
JQCONSOLE_COMMIT=96eb6c42434d2cd30c83cc9af4e3d574cd6c39c6
s7webserver/jqconsole.min.js: debian/missing-sources/jqconsole.coffee
	coffee -c -p $< | uglifyjs -m -o $@
debian/missing-sources/jqconsole.coffee:
	wget -O $@ https://raw.githubusercontent.com/replit/jq-console/$(JQCONSOLE_COMMIT)/src/jqconsole.coffee

## snd 20.4

=== debian/changelog ===
snd (20.4-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 20.4
  * Update upstream-changelog

  [ IOhannes m zmölnig ]
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 14 Jun 2020 23:45:29 +0200

## snd 20.5

=== debian/changelog ===
snd (20.5-1) unstable; urgency=medium

  * New upstream version 20.5

  [ Dennis Braun ]
  * Update upstream-changelog
  * Refresh spelling patch

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Build with support for vorbis, mpeg, flac, midi & wavpack
    * Patch to allow non-absolute paths to helper-programs
    * 'Recommend' the relevant packages

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Jul 2020 12:29:53 +0200

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
 Depends: ${misc:Depends}
 Recommends: guile, ladspa-plugin,
  snd-gtk-jack | snd-gtk | snd-nox,
+ vorbis-tools, mpg321, speex, flac, timidity, wavpack,
 Suggests: snd-doc
 Breaks: snd-gtk-jack (<< 16.1-2), snd-gtk-pulse (<< 16.1-2), snd-nox (<< 16.1-2)
 Replaces: snd-gtk-jack (<< 16.1-2), snd-gtk-pulse (<< 16.1-2), snd-nox (<< 16.1-2)

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,14 @@
 DEB_CONFIGURE_EXTRA_FLAGS = \
 	--with-ladspa \
 	--with-gmp \
-	--prefix=/usr
+	--prefix=/usr \
+	PATH_OGGENC=oggenc PATH_OGGDEC=oggdec \
+	PATH_MPG321=mpg321 \
+	PATH_SPEEXENC=speexenc PATH_SPEEXDEC=speexdec  \
+	PATH_FLAC=flac \
+	PATH_TIMIDITY=timidity \
+	PATH_WAVPACK=wavpack PATH_WVUNPACK=wvunpack \
+	$(empty)
 
 ## per flavor configure options
 # the code includes inline-asm for atomic ops, but only for i386/amd64/powerpc

## snd 20.6

=== debian/changelog ===
snd (20.6-1) unstable; urgency=medium

  * New upstream version 20.6
  * Update upstream-changelog
  * Remove -Wl,--as-needed ldflags

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 05 Aug 2020 17:03:51 +0200

snd (20.5-2) unstable; urgency=medium

  * Switched from CDBS to debhelper (compat=13)
  * Use declarative alternatives handling from debhelper-13.1
  * Regenerate d/changelog_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Jul 2020 14:29:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- cdbs, debhelper (>= 10),
+ debhelper-compat (= 13),
+ debhelper (>= 13.1),
  ladspa-sdk,
  xutils-dev,
  libgsl-dev,

=== debian/rules ===
--- 
+++ 
@@ -23,26 +23,22 @@
 # MODIFICATIONS.
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # needs to be declared before including makefile.mk
-DEB_MAKE_FLAVORS = nox gtk-jack gtk-pulse
-
-DEB_BUILDDIR = build
+FLAVORS = nox gtk-jack gtk-pulse
 
 export AUTOHEADER=true
 
+builddir=debian/build/flavor-
+
+include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/buildtools.mk
-include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
-include /usr/share/cdbs/1/rules/utils.mk
 PKG_CONFIG ?= pkg-config
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
 	^(pix/.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$
 
-DEB_CONFIGURE_EXTRA_FLAGS = \
+CONFIG = \
 	--with-ladspa \
 	--with-gmp \
 	--prefix=/usr \
@@ -70,48 +66,64 @@
 endif
 
 # nox (alsa/oss + jack)
-DEB_CONFIGURE_EXTRA_FLAGS_nox       = --without-gui \
+CONFIG_nox       = --without-gui \
 	$(configureflags_audio_default) $(configureflags_audio_jack)
 
 # gtk-jack (jack + alsa[sic!]/oss)
-DEB_CONFIGURE_EXTRA_FLAGS_gtk-jack  = --with-gtk \
+CONFIG_gtk-jack  = --with-gtk \
 	$(configureflags_audio_default) $(configureflags_audio_jack)
 
 ## gtk-pulse (pulseaudio)
-DEB_CONFIGURE_EXTRA_FLAGS_gtk-pulse = --with-gtk --with-pulseaudio
-
-## append any extra args for configure
-DEB_CONFIGURE_EXTRA_FLAGS += $(DEB_CONFIGURE_EXTRA_FLAGS_$(cdbs_make_curflavor))
+CONFIG_gtk-pulse = --with-gtk --with-pulseaudio
 
 ## do not embed __DATE__ (see debian/patches/reproducible.diff)
 CPPFLAGS+=-DREPRODUCIBLE_BUILD=1
-
-# upstream naively (and wrongly) assumes
-# that they only need to link against "-lpulse-simple"
-DEB_MAKE_EXTRA_ARGS_gtk-pulse=AUDIO_LIB="$(shell $(PKG_CONFIG) --libs libpulse-simple)"
-
-## append any extra args for make
-DEB_MAKE_EXTRA_ARGS += $(DEB_MAKE_EXTRA_ARGS_$(cdbs_make_curflavor))
 
 ## right; everybody their own changelog filename!
 DEB_INSTALL_CHANGELOGS_ALL=debian/upstream-changelog
 
 
+# Use the default debhelper scripts, where possible.
+%:
+	dh $@
+
+# Add configuration options:
+override_dh_auto_configure: $(patsubst %,configure_%,$(FLAVORS))
+configure_%:
+	$(info $()   debian/rules $@)
+	mkdir -p $(builddir)$*
+	cd $(builddir)$* && ../../../configure $(strip $(CONFIG) $(CONFIG_$*)) || (cat config.log && exit 1)
+
+# Remove the subdirectories generated for the flavors.
+override_dh_auto_clean:
+	rm -rf $(patsubst %,$(builddir)%,$(FLAVORS))
+	rmdir -p $(dir $(builddir)) || echo "couldn't cleanup build-dirs...ignoring"
+	rm -f $(SND_MANPAGES)
+
+# Create doxygen documentation:
+override_dh_auto_build-indep:
+	:
+override_dh_auto_build-arch: $(patsubst %,build_%,$(FLAVORS))
+
+build_%:
+	$(info $()  debian/rules $@)
+	dh_auto_build -a --sourcedirectory=$(builddir)$* || (cat $(builddir)$*/config.log && exit 1)
+	mv $(builddir)$*/snd $(builddir)$*/snd.$*
+
+# build manpages
+build_nox: snd.nox.1
+build_gtk-jack: snd.gtk-jack.1
+build_gtk-pulse: snd.gtk-pulse.1
+
 SND_MANPAGES=snd.nox.1 snd.gtk-jack.1 snd.gtk-pulse.1
 $(SND_MANPAGES): snd.1
 	cp $^ $@
 
-build/snd-nox:: snd.nox.1
-build/snd-gtk-jack:: snd.gtk-jack.1
-build/snd-gtk-pulse:: snd.gtk-pulse.1
-
-binary-post-install/snd-nox binary-post-install/snd-gtk-jack binary-post-install/snd-gtk-pulse::
-	mv $(CURDIR)/debian/$(cdbs_curpkg)/usr/bin/snd \
-	   $(CURDIR)/debian/$(cdbs_curpkg)/usr/bin/snd.$(patsubst snd-%,%,$(cdbs_curpkg))
-
-clean::
-	rm -f $(SND_MANPAGES)
-
+licensecheck:
+	licensecheck -i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" --deb-machine -r * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints
 
 ## missing sources for s7webserver/jqconsole.min.js
 ##  it seems like the minification was done with a different version of

## snd 20.8

=== debian/changelog ===
snd (20.8-2) unstable; urgency=medium

  * Enabled 'notcurses' for nox flavour
    * Add patch to fix compilation with recent notcurses

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 21 Oct 2020 13:48:19 +0200

snd (20.8-1) unstable; urgency=medium

  * Upload to unstable.
  * Build 'snd-gui-jack' with JACK support on all platforms.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Oct 2020 23:05:02 +0200

snd (20.8-1~exp1) experimental; urgency=medium

  * New upstream version 20.8
    - Update upstream-changelog
    - Refresh patches
  * Drop GTK in favour of Motif
    - B-D on motif (instead of gtk) and notcurses
    - B-D on libgl-dev & libglu-dev
    - Drop gtk-patch
  * Restructured packages
    - snd -> snd-common
    - snd-gtk-* -> snd-gui-*
    - new package snd (for a fully functional Snd installation)
    - transitional snd-gtk-* packages
  * Install the generated upstream Changelog
  * Update lintian-overrides for the "Lisp Lesser GPL"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Oct 2020 10:28:22 +0200

snd (20.7-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 20.7
  * Update upstream-changelog

  [ IOhannes m zmölnig ]
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 Sep 2020 21:35:31 +0200

=== debian/control ===
Source: snd
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 debhelper (>= 13.1),
 ladspa-sdk,
 xutils-dev,
 libgsl-dev,
 libfftw3-dev,
 libmotif-dev, libxt-dev, libxpm-dev, libxmu-dev, libgl-dev, libglu-dev,
 libnotcurses-dev,
 libsamplerate0-dev,
 libpulse-dev,
 libjack-dev,
 libasound2-dev [linux-any],
 libmpc-dev,
 bzip2,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
Homepage: https://ccrma.stanford.edu/software/snd/

Package: snd
Architecture: all
Depends: ${misc:Depends},
 snd-gui-jack | snd-gui-pulse | snd-nox,
 snd-common,
Recommends:
 snd-doc,
Description: Sound file editor
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package depends on a full installation of Snd.

Package: snd-common
Architecture: all
Multi-Arch: foreign
Replaces: snd (<< 20.8)
Breaks: snd (<< 20.8)
Depends: ${misc:Depends}
Recommends: guile, ladspa-plugin,
 vorbis-tools, mpg321, speex, flac, timidity, wavpack,
Suggests: snd-doc
Description: Sound file editor (core)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the basic infrastructure for the snd packages and
 the scheme files. You have to install a GUI package as well to actually
 use snd.

Package: snd-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Sound file editor (documentation)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the documentation for snd.

Package: snd-gui-jack
Architecture: any
Provides: snd-gui
Depends:
 snd-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Sound file editor (graphical user interface - JACK)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the files for the graphical user interface with
 JACK and ALSA support.

Package: snd-gui-pulse
Architecture: any
Depends:
 snd-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Sound file editor (graphical user interface - PulseAudio)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains the files for the graphical user interface with
 PulseAudio support.

Package: snd-nox
Architecture: any
Depends:
 snd-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Sound file editor (cmdline)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 This package contains a version of snd compiled with both JACK and ALSA
 support, but without support for X.


Package: snd-gtk-jack
Section: oldlibs
Architecture: any-i386 any-amd64 any-powerpc
Depends: ${misc:Depends},
 snd-gui-jack,
Description: Sound file editor (dummy transitional package)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 Snd no longer supports GTK, so this package now depends on the generic
 "snd-gui-jack" package.
 .
 This is a dummy package and it may be safely removed after installation.

Package: snd-gtk-pulse
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
 snd-gui-pulse,
Description: Sound file editor (dummy transitional package)
 Snd is a powerful sound file editor that can be customized and extended
 using the Scheme programming language.
 .
 Snd no longer supports GTK, so this package now depends on the generic
 "snd-gui-pulse" package.
 .
 This is a dummy package and it may be safely removed after installation.

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # needs to be declared before including makefile.mk
-FLAVORS = nox gtk-jack gtk-pulse
+FLAVORS = nox gui-jack gui-pulse
 
 export AUTOHEADER=true
 
@@ -51,36 +51,29 @@
 	$(empty)
 
 ## per flavor configure options
-# the code includes inline-asm for atomic ops, but only for i386/amd64/powerpc
-# see https://bugs.debian.org/#555538
-ifneq (,$(findstring :$(DEB_HOST_ARCH_CPU):,:i386:powerpc:amd64:))
 configureflags_audio_jack  = --with-jack
-else
-configureflags_audio_jack  =
-endif
 # use ALSA on linux, and OSS non non-linux
 ifneq (,$(findstring linux,$(DEB_HOST_ARCH_OS)))
 configureflags_audio_default  = --with-alsa
 else
 configureflags_audio_default  = --with-oss
 endif
+configureflags_gui = --with-motif --with-gl --with-gl2ps
 
 # nox (alsa/oss + jack)
-CONFIG_nox       = --without-gui \
+CONFIG_nox       = --without-gui --with-notcurses \
 	$(configureflags_audio_default) $(configureflags_audio_jack)
 
-# gtk-jack (jack + alsa[sic!]/oss)
-CONFIG_gtk-jack  = --with-gtk \
+# gui-jack (jack + alsa[sic!]/oss)
+CONFIG_gui-jack  = $(configureflags_gui) \
 	$(configureflags_audio_default) $(configureflags_audio_jack)
 
-## gtk-pulse (pulseaudio)
-CONFIG_gtk-pulse = --with-gtk --with-pulseaudio
+## gui-pulse (pulseaudio)
+CONFIG_gui-pulse = $(configureflags_gui) \
+       	--with-pulseaudio
 
 ## do not embed __DATE__ (see debian/patches/reproducible.diff)
 CPPFLAGS+=-DREPRODUCIBLE_BUILD=1
-
-## right; everybody their own changelog filename!
-DEB_INSTALL_CHANGELOGS_ALL=debian/upstream-changelog
 
 
 # Use the default debhelper scripts, where possible.
@@ -110,12 +103,16 @@
 	dh_auto_build -a --sourcedirectory=$(builddir)$* || (cat $(builddir)$*/config.log && exit 1)
 	mv $(builddir)$*/snd $(builddir)$*/snd.$*
 
+
+override_dh_installchangelogs:
+	dh_installchangelogs debian/upstream-changelog
+
 # build manpages
 build_nox: snd.nox.1
-build_gtk-jack: snd.gtk-jack.1
-build_gtk-pulse: snd.gtk-pulse.1
+build_gui-jack: snd.gui-jack.1
+build_gui-pulse: snd.gui-pulse.1
 
-SND_MANPAGES=snd.nox.1 snd.gtk-jack.1 snd.gtk-pulse.1
+SND_MANPAGES=snd.nox.1 snd.gui-jack.1 snd.gui-pulse.1
 $(SND_MANPAGES): snd.1
 	cp $^ $@

## snd 20.9

=== debian/changelog ===
snd (20.9-1) unstable; urgency=medium

  * New upstream version 20.9
    * Update upstream changelog
    * Drop patches applied upstream
  * Fix FTBFS for notcurses>=2.0.5 (Closes: #975082)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Nov 2020 12:34:38 +0100

snd (20.8-3) unstable; urgency=medium

  * Patch to fix FTBFS with notcurses2 (Closes: #975082)
    * since notcurses2, the API is supposed to be stable.
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 19 Nov 2020 13:16:52 +0100

## snd 21.0

=== debian/changelog ===
snd (21.0-2) unstable; urgency=medium

  * Fix FTBFS due to broken notcurses version-comparision
    (Closes: #980605)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 29 Jan 2021 09:52:35 +0100

snd (21.0-1) unstable; urgency=medium

  * New upstream version 21.0
    * Add patch to fix FTBFS with notcurses>=2.1.4
    * Backport fix for FTBFS when using notcurses

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Jan 2021 00:00:03 +0100

## snd 21.1

=== s7webserver/Makefile ===
# QTVERSION can also be set to 4
QTVERSION=5

CC ?= gcc
CCC ?= g++
PKG ?= pkg-config
MOC ?= moc-qt$(QTVERSION)
QMAKE ?= qmake-qt$(QTVERSION)

QTLDFLAGS=`$(PKG) --libs Qt$(QTVERSION)Network`
QTCFLAGS=`$(PKG) --cflags Qt$(QTVERSION)Network`

OPTIMIZE=-O2

all: s7webserver

clean:
	rm -fr *.o mus-config.h master.tar.gz qhttpserver-master.tar.gz qhttpserver-master s7webserver moc_s7webserver.cpp

s7webserver: s7webserver.o qhttpserver-master/lib/libqhttpserver.a s7.o mus-config.h
	$(CCC) s7webserver.o $(QTLDFLAGS) qhttpserver-master/lib/libqhttpserver.a s7.o -ldl -o s7webserver

s7webserver.o: s7webserver.h s7webserver.cpp moc_s7webserver.cpp qhttpserver-master/lib/libqhttpserver.a mus-config.h
	$(CCC) -c s7webserver.cpp $(QTCFLAGS) $(OPTIMIZE) -Iqhttpserver-master/src -DWITH_MAIN -I. -I.. -Wall -Werror -Wno-error=unused-variable -Wno-error=unused-function -fPIC

moc_s7webserver.cpp: s7webserver.h qhttpserver-master/lib/libqhttpserver.a mus-config.h
	$(MOC) -DCOMPILING_S7WEBSERVER s7webserver.h -o moc_s7webserver.cpp

s7.o: ../s7.c ../s7.h mus-config.h
	$(CC) -c ../s7.c $(OPTIMIZE) -I. -I..

mus-config.h:
	touch mus-config.h

qhttpserver-master/lib/libqhttpserver.a:
	rm -fr qhttpserver-master.tar.gz qhttpserver-master
	wget https://github.com/kmatheussen/qhttpserver/archive/master.tar.gz
	mv master.tar.gz qhttpserver-master.tar.gz
	tar xvzf qhttpserver-master.tar.gz
	echo "CONFIG += staticlib" >> qhttpserver-master/src/src.pro
	cd qhttpserver-master && $(QMAKE)
	cd qhttpserver-master && make

=== debian/changelog ===
snd (21.1-1) unstable; urgency=medium

  * New upstream version 21.1
  * Update d/upstream-changelog
  * Drop patches applied by upstream
  * Remove d/patches section for now
  * Bump d/watch version

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 09 Feb 2021 21:52:22 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd

## snd 21.7

=== debian/changelog ===
snd (21.7-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 05 Oct 2021 10:30:59 -0400

snd (21.7-1) unstable; urgency=medium

  * New upstream version 21.7
  * Update d/upstream-changelog
  * Mark 'snd' as 'meta package'
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Sep 2021 16:02:30 +0200

snd (21.6-1) unstable; urgency=medium

  * New upstream version 21.6
  * Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 22 Aug 2021 23:27:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: snd
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Dennis Braun <d_braun@kabelmail.de>
@@ -20,7 +21,7 @@
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd
@@ -33,7 +34,7 @@
  snd-common,
 Recommends:
  snd-doc,
-Description: Sound file editor
+Description: Sound file editor (metapackage)
  Snd is a powerful sound file editor that can be customized and extended
  using the Scheme programming language.
  .

=== debian/rules ===
--- 
+++ 
@@ -75,10 +75,17 @@
 ## do not embed __DATE__ (see debian/patches/reproducible.diff)
 CPPFLAGS+=-DREPRODUCIBLE_BUILD=1
 
+## on Debian notcurses2 is at time of writing (2020/11/23) at version 2.0.7
+## so we need to enable to new API
+CPPFLAGS+=-DNOTCURSES_2_0_5=1
+
 
 # Use the default debhelper scripts, where possible.
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 # Add configuration options:
 override_dh_auto_configure: $(patsubst %,configure_%,$(FLAVORS))

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=s/~(dfsg|repack)(\.?[0-9]*)?$// \
  https://ccrma.stanford.edu/software/snd/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## snd 21.8

=== debian/changelog ===
snd (21.8-1) unstable; urgency=medium

  * New upstream version 21.8
  * Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 03 Nov 2021 16:54:11 +0100

## snd 22

=== debian/changelog ===
snd (22-1) unstable; urgency=medium

  * New upstream version 22
    * Updated d/upstream-changelog
  * Use 'command -v' instead of 'which' in upstream-changelog helper-script

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 24 Nov 2021 16:59:31 +0100

## snd 22.0

=== debian/changelog ===
snd (22.0-1) unstable; urgency=medium

  * New upstream version 22.0
    + Updated d/upstream-changelog
  * Refresh d/copyright
    + Bump dates in d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Jan 2022 21:32:15 +0100

## snd 22.1

=== debian/changelog ===
snd (22.1-1) unstable; urgency=medium

  * New upstream version 22.1
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 09 Feb 2022 09:52:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: snd
 Section: sound
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Dennis Braun <d_braun@kabelmail.de>

=== debian/rules ===
--- 
+++ 
@@ -84,9 +84,6 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 # Add configuration options:
 override_dh_auto_configure: $(patsubst %,configure_%,$(FLAVORS))
 configure_%:

## snd 22.3

=== debian/changelog ===
snd (22.3-1) unstable; urgency=medium

  * New upstream version 22.3
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Apr 2022 18:29:17 +0200

snd (22.2-1) unstable; urgency=medium

  * New upstream version 22.2
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 Mar 2022 22:05:40 +0100

## snd 22.4

=== debian/changelog ===
snd (22.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 4.10-1, 3.4-1.
  * Use cross-build compatible macro for finding pkg-config.

  [ Dennis Braun ]
  * New upstream version 22.4
    + Update d/upstream-changelog
  * d/control:
    + Add libjack-jackd2-dev as B-D and libjack-dev as optional
    + Bump Standards Version to 4.6.1

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 06 Jun 2022 11:54:58 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
  libnotcurses-dev,
  libsamplerate0-dev,
  libpulse-dev,
- libjack-dev,
+ libjack-jackd2-dev | libjack-dev,
  libasound2-dev [linux-any],
  libmpc-dev,
  bzip2,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd

## snd 22.5

=== debian/changelog ===
snd (22.5-2) unstable; urgency=medium

  * B-D on libncurses-dev (as a transitional dependency of notcurses)
    (See #1015747)
  * Apply 'wrap-and-sort -ast'
  * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Jul 2022 14:42:35 +0200

snd (22.5-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 22.5
    + Update d/upstream-changelog
    + Refresh patches
  * Revert "Add libjack-jackd2-dev as B-D and libjack-dev as optional"
    (libjack-jackd2-dev already provides libjack-dev, so the current situation
     is "libjack-dev as B-D, and libjack-jackd2-dev as optional")
  * Update lintian-overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Jul 2022 09:23:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <d_braun@kabelmail.de>,
 Build-Depends:
+ bzip2,
+ debhelper (>= 13.1),
  debhelper-compat (= 13),
- debhelper (>= 13.1),
  ladspa-sdk,
+ libasound2-dev [linux-any],
+ libfftw3-dev,
+ libgsl-dev,
+ libjack-dev,
+ libmpc-dev,
+ libmotif-dev, libxt-dev, libxpm-dev, libxmu-dev, libgl-dev, libglu-dev,
+ libnotcurses-dev, libncurses-dev,
+ libpulse-dev,
+ libsamplerate0-dev,
  xutils-dev,
- libgsl-dev,
- libfftw3-dev,
- libmotif-dev, libxt-dev, libxpm-dev, libxmu-dev, libgl-dev, libglu-dev,
- libnotcurses-dev,
- libsamplerate0-dev,
- libpulse-dev,
- libjack-jackd2-dev | libjack-dev,
- libasound2-dev [linux-any],
- libmpc-dev,
- bzip2,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
@@ -28,9 +28,10 @@
 
 Package: snd
 Architecture: all
-Depends: ${misc:Depends},
+Depends:
+ snd-common,
  snd-gui-jack | snd-gui-pulse | snd-nox,
- snd-common,
+ ${misc:Depends},
 Recommends:
  snd-doc,
 Description: Sound file editor (metapackage)
@@ -42,12 +43,23 @@
 Package: snd-common
 Architecture: all
 Multi-Arch: foreign
-Replaces: snd (<< 20.8)
-Breaks: snd (<< 20.8)
-Depends: ${misc:Depends}
-Recommends: guile, ladspa-plugin,
- vorbis-tools, mpg321, speex, flac, timidity, wavpack,
-Suggests: snd-doc
+Replaces:
+ snd (<< 20.8),
+Breaks:
+ snd (<< 20.8),
+Depends:
+ ${misc:Depends},
+Recommends:
+ flac,
+ guile,
+ ladspa-plugin,
+ mpg321,
+ speex,
+ timidity,
+ vorbis-tools,
+ wavpack,
+Suggests:
+ snd-doc,
 Description: Sound file editor (core)
  Snd is a powerful sound file editor that can be customized and extended
  using the Scheme programming language.
@@ -60,7 +72,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Sound file editor (documentation)
  Snd is a powerful sound file editor that can be customized and extended
  using the Scheme programming language.
@@ -69,11 +82,12 @@
 
 Package: snd-gui-jack
 Architecture: any
-Provides: snd-gui
+Provides:
+ snd-gui,
 Depends:
  snd-common (>= ${source:Version}),
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: Sound file editor (graphical user interface - JACK)
  Snd is a powerful sound file editor that can be customized and extended
  using the Scheme programming language.
@@ -85,8 +99,8 @@
 Architecture: any
 Depends:
  snd-common (>= ${source:Version}),
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: Sound file editor (graphical user interface - PulseAudio)
  Snd is a powerful sound file editor that can be customized and extended
  using the Scheme programming language.
@@ -98,8 +112,8 @@
 Architecture: any
 Depends:
  snd-common (>= ${source:Version}),
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
 Description: Sound file editor (cmdline)
  Snd is a powerful sound file editor that can be customized and extended
  using the Scheme programming language.
@@ -107,12 +121,12 @@
  This package contains a version of snd compiled with both JACK and ALSA
  support, but without support for X.
 
-
 Package: snd-gtk-jack
 Section: oldlibs
-Architecture: any-i386 any-amd64 any-powerpc
-Depends: ${misc:Depends},
+Architecture: any-amd64 any-i386 any-powerpc
+Depends:
  snd-gui-jack,
+ ${misc:Depends},
 Description: Sound file editor (dummy transitional package)
  Snd is a powerful sound file editor that can be customized and extended
  using the Scheme programming language.
@@ -125,8 +139,9 @@
 Package: snd-gtk-pulse
 Section: oldlibs
 Architecture: all
-Depends: ${misc:Depends},
+Depends:
  snd-gui-pulse,
+ ${misc:Depends},
 Description: Sound file editor (dummy transitional package)
  Snd is a powerful sound file editor that can be customized and extended
  using the Scheme programming language.

## snd 22.6

=== debian/changelog ===
snd (22.6-2) unstable; urgency=medium

  * Skip autopkgtests on big-endian architectures

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 19 Aug 2022 11:11:49 +0200

snd (22.6-1) unstable; urgency=medium

  * New upstream version 22.6
    + Update d/upstream-changelog
  * Drop B-D on notcurses (Closes: #1016444)
  * Provide s7.h (in a private location) for dynamically creating libc_s7.so
  * Add autopkgtests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 11 Aug 2022 20:42:56 +0200

## snd 22.7

=== debian/changelog ===
snd (22.7-1) unstable; urgency=medium

  * New upstream version 22.7
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 16 Sep 2022 14:42:55 +0200

## snd 22.8

=== debian/changelog ===
snd (22.8-1) unstable; urgency=medium

  * New upstream version 22.8
    + Update d/upstream-changelog
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Oct 2022 11:26:41 +0200

## snd 22.9

=== debian/changelog ===
snd (22.9-1) unstable; urgency=medium

  * New upstream version 22.9
    + Update d/upstream-changelog
  * Update 'licensecheck' target
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 21 Nov 2022 15:24:12 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libjack-dev,
  libmpc-dev,
  libmotif-dev, libxt-dev, libxpm-dev, libxmu-dev, libgl-dev, libglu-dev,
- libnotcurses-dev, libncurses-dev,
+# libnotcurses-dev, libncurses-dev,
  libpulse-dev,
  libsamplerate0-dev,
  xutils-dev,

=== debian/rules ===
--- 
+++ 
@@ -121,7 +121,8 @@
 	cp $^ $@
 
 licensecheck:
-	licensecheck -i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" --deb-machine -r * \
+	licensecheck -i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
 		&& rm debian/copyright_newhints

## snd 23

=== debian/changelog ===
snd (23-1) unstable; urgency=medium

  * New upstream version 23
    + Update d/upstream-changelog
  * Change my email address
  * Update d/source/lintian-overrides

 -- Dennis Braun <snd@debian.org>  Mon, 19 Dec 2022 23:05:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
- Dennis Braun <d_braun@kabelmail.de>,
+ Dennis Braun <snd@debian.org>,
 Build-Depends:
  bzip2,
  debhelper (>= 13.1),

## snd 23.0

=== debian/changelog ===
snd (23.0-1) unstable; urgency=medium

  * New upstream version 23.0
    + Update d/upstream-changelog
  * Apply 'wrap-and-sort -ast'
  * Update d/copyright
    + Bump copyright-dates
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Drop unused lintian-override
  * Fix d/watch to filter out pre-releases
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Jan 2023 10:18:48 +0100

## snd 23.1

=== debian/changelog ===
snd (23.1-1) unstable; urgency=medium

  * New upstream version 23.1
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Feb 2023 22:02:14 +0100

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,20 @@
  ladspa-sdk,
  libasound2-dev [linux-any],
  libfftw3-dev,
+ libgl-dev,
+ libglu-dev,
  libgsl-dev,
  libjack-dev,
+ libmotif-dev,
  libmpc-dev,
- libmotif-dev, libxt-dev, libxpm-dev, libxmu-dev, libgl-dev, libglu-dev,
 # libnotcurses-dev, libncurses-dev,
  libpulse-dev,
  libsamplerate0-dev,
+ libxmu-dev,
+ libxpm-dev,
+ libxt-dev,
  xutils-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/snd.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/snd

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,6 @@
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/buildtools.mk
 PKG_CONFIG ?= pkg-config
-
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-	^(pix/.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$
 
 CONFIG = \
 	--with-ladspa \
@@ -120,13 +117,6 @@
 $(SND_MANPAGES): snd.1
 	cp $^ $@
 
-licensecheck:
-	licensecheck -i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
-		--check '.*' --recursive --deb-machine --lines 0 * \
-		> debian/copyright_newhints
-	cmp debian/copyright_hints debian/copyright_newhints \
-		&& rm debian/copyright_newhints
-
 ## missing sources for s7webserver/jqconsole.min.js
 ##  it seems like the minification was done with a different version of
 ##  'uglifyjs', as it doesn't produce the same output (whereas the current
@@ -136,3 +126,16 @@
 	coffee -c -p $< | uglifyjs -m -o $@
 debian/missing-sources/jqconsole.coffee:
 	wget -O $@ https://raw.githubusercontent.com/replit/jq-console/$(JQCONSOLE_COMMIT)/src/jqconsole.coffee
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+	debian/.*|pix/.*\.png
+
+# licensecheck v1
+.PHONY: licensecheck
+licensecheck:
+	LANG=C.UTF-8 licensecheck \
+		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
+		--check '.*' --recursive --deb-machine --lines 0 * \
+		> debian/copyright_newhints
+	cmp debian/copyright_hints debian/copyright_newhints \
+		&& rm debian/copyright_newhints

=== debian/tests/control ===
Tests: makesound
Depends:
 python3-numpy,
 python3-soundfile,
 snd-nox,
Restrictions:
 allow-stderr,

Tests: build-libcs7
Depends:
 gcc,
 libc6-dev | libc-dev,
 snd-nox,
Restrictions:
 superficial,

## snd 23.4

=== debian/changelog ===
snd (23.4-1) unstable; urgency=medium

  * New upstream version 23.4
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 15:23:03 +0200

## snd 23.5

=== debian/changelog ===
snd (23.5-1) unstable; urgency=medium

  * New upstream version 23.5
    + Update d/upstream-changelog
  * Drop transitional snd-gtk-* packages (Closes: #1038283, #1038299)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 02 Jul 2023 22:32:08 +0200

## snd 23.6

=== debian/changelog ===
snd (23.6-1) unstable; urgency=medium

  * New upstream version 23.6
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 06 Aug 2023 20:08:21 +0200

=== debian/control ===
--- 
+++ 
@@ -125,33 +125,3 @@
  .
  This package contains a version of snd compiled with both JACK and ALSA
  support, but without support for X.
-
-Package: snd-gtk-jack
-Section: oldlibs
-Architecture: any-amd64 any-i386 any-powerpc
-Depends:
- snd-gui-jack,
- ${misc:Depends},
-Description: Sound file editor (dummy transitional package)
- Snd is a powerful sound file editor that can be customized and extended
- using the Scheme programming language.
- .
- Snd no longer supports GTK, so this package now depends on the generic
- "snd-gui-jack" package.
- .
- This is a dummy package and it may be safely removed after installation.
-
-Package: snd-gtk-pulse
-Section: oldlibs
-Architecture: all
-Depends:
- snd-gui-pulse,
- ${misc:Depends},
-Description: Sound file editor (dummy transitional package)
- Snd is a powerful sound file editor that can be customized and extended
- using the Scheme programming language.
- .
- Snd no longer supports GTK, so this package now depends on the generic
- "snd-gui-pulse" package.
- .
- This is a dummy package and it may be safely removed after installation.

## snd 23.8

=== debian/changelog ===
snd (23.8-2) unstable; urgency=medium

  * Use dh_auto_configure to fix cross-compilation
  * Use '--builddirectory' for dh_auto_build (rather than '--sourcedirectory')

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 19 Oct 2023 09:19:15 +0200

snd (23.8-1) unstable; urgency=medium

  * New upstream version 23.8
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Oct 2023 22:05:24 +0200

snd (23.7-1) unstable; urgency=medium

  * New upstream version 23.7
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 Sep 2023 21:49:35 +0200

## snd 23.9

=== debian/changelog ===
snd (23.9-1) unstable; urgency=medium

  * New upstream version 23.9
    + Update d/upstream-changelog

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 25 Nov 2023 21:22:56 +0100

## snd 24.0

=== debian/changelog ===
snd (24.0-1) unstable; urgency=medium

  * New upstream version 24.0
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Install "hi-res" icon
    + Add 's.png' from https://ccrma.stanford.edu/software/snd/snd/snd.html
    + Resize to 96x96
    + Allow binary debian/snd.png
  * Install metainfo.xml (for snd-gui-jack)
  * Add variant specifier to .desktop files

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 07 Jan 2024 22:47:17 +0100
